Subject: Re: bug#28067: Mac OS High Sierra Beta 5 : Unable to load color ...

From: John Mastro <[email-masked]>
Date: Sat, 12 Aug 2017 11:52:17 -0700

Mario Paumann <[email-masked]> wrote:
> Just upgraded to High Sierra Beta 5 and now Emacs shows my files black
> on black.
>
> This bug report was originaly posted to
> https://github.com/caldwell/build-emacs/issues/65; on High Sierra Beta
> 4 i didn't have this problem using brew emacs has exact the same
> problem

[snip]

> I googled, and found older similiar problems
> the only solution for me now is :
>
> rm ~/Library/Colors/Emacs.clr
> rm -rf .emacs.d/
>
> before starting emacs. Then colors seem ok.
> closing (with autosave) and restarting, colors are messed up again.

Just for reference for anyone working on this, a discussion in
which this was mentioned on emacs-devel is here[1] and the workaround
was reported here[2]. That discussion ended with the OP opening a bug
with Apple[3].

        John

[1]: https://lists.gnu.org/archive/html/emacs-devel/2017-08/msg00178.html
[2]: https://lists.gnu.org/archive/html/emacs-devel/2017-08/msg00184.html
[3]: https://lists.gnu.org/archive/html/emacs-devel/2017-08/msg00187.html